/** bedSort - Sort a BED file by chrom,chromStart. */
#include "common.h"
#include "bed.h"

/** Explain usage and exit. */
void usage()
{
errAbort(
  "bedSort - Sort a .bed file by chrom,chromStart\n"
  "usage:\n"
  "   bedSort in.bed out.bed\n"
  "in.bed and out.bed may be the same.");
}

/** Process command line. */
int main(int argc, char *argv[])
{
if (argc != 3)
    usage();
bedSortFile(argv[1], argv[2]);
return 0;
}
