/*** ooc.h - Stuff to handle overused N-mers (tiles) in genome
 * indexing schemes. */

#ifndef OOC_H
#define OOC_H

/*** Set items of tileCounts to maxPat if they are in oocFile. 
 * Effectively masks this out of index.*/
void oocMaskCounts(char *oocFile, bits32 *tileCounts, int tileSize, bits32 maxPat);

/*** Mask out simple repeats in index . */
void oocMaskSimpleRepeats(bits32 *tileCounts, int seedSize, bits32 maxPat);

#endif /*** OOC_H */

