/** simpleC - simple client. */
#include "common.h"
#include <sys/socket.h>

/** Explain usage and exit. */
void usage()
{
errAbort("simpleC - simple client.\n"
         "usage:\n"
	 "    simpleC socket\n");
}

/** simpleC - a simple client. */
void simpleC(char *sockName)
{
int sd;
static struct sockaddr sockaddr;
int fromlen;
int childCount = 0;
char *s = "Hello Mr. Socket";

sd = socket(AF_UNIX, SOCK_STREAM, 0);
sockaddr.sa_family = AF_UNIX;
strcpy(sockaddr.sa_data, sockName);
if (connect(sd, &sockaddr, sizeof(sockaddr)) == -1)
    {
    errAbort("Couldn't connect to %s", sockName);
    }
if (write(sd, s, strlen(s)) < 0)
    {
    perror("");
    errAbort("Couldn't write to socket %s", sockName);
    }
}


/** Process command line. */
int main(int argc, char *argv[])
{
if (argc != 2)
    usage();
simpleC(argv[1]);
}


