/** Short short form of common.c. */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "psLayHit.h"

/** String to unsigned. */
#define sqlUnsigned atoi

/** String to signed. */
#define sqlSigned atoi

/** Duplicate string onto heap. */
#define cloneString strdup

/** Shortcut to allocating a single variable on the heap and
 * assigning pointer to it. */
#define AllocVar(pt) (pt = malloc(sizeof(*pt)))


/** Default deallocator. */
static void freeMem(void *vpt)
{
if (vpt != NULL)
    free(vpt);
}

/** Pass address of pointer.  Will free pointer and set it 
 * to NULL. */
static void freez(void *vpt)
{
void **ppt = (void **)vpt;
freeMem(*ppt);
*ppt = NULL;
}


