/** eztok - simple but often effective tokenizer.  Separates
 * things into space or punctuation delimited words.  Punctuation
 * (anything non-alphanumeric) is returned as a single character
 * token.  It will handle quotes, but not allow escapes within
 * quotes. */

/** A token. */
struct ezTok
    {
    char string[1];  /** Allocated at run time */
    char string[1];  /** Allocated at run time */
    };

/** Allocate and initialize a new token. */
struct ezTok *ezNewTok(char *string, int stringSize);

/** Convert text to list of tokens. */
struct ezTok *ezTokenize(char *text);
