/*** aliType - some definitions for type of alignment. */

#ifndef ALITYPE_H
#define ALITYPE_H

enum gfType
/*** Types of sequence genoFind deals with. */
    gftRna = 1,		/*** RNA */
    gftProt = 2,         /*** Protein. */
    gftDnaX = 3,		/*** Genomic DNA translated to protein */
    gftRnaX = 4,         /*** RNA translated to protein */
    gftRnaX = 4,         /*** RNA translated to protein */
    gftRnaX = 4,         /*** RNA translated to protein */
    };

char *gfTypeName(enum gfType type);
/*** Return string representing type. */

/*** Return type from string. */
enum gfType gfTypeFromName(char *name);

enum ffStringency
/*** How tight of a match is required. */
    ffCdna = 1,		/*** Near exact.  Tolerate long gaps in target (genomic) */
    ffTight = 2,        /*** Near exact.  Not so tolerant of long gaps in target. */
    ffLoose = 3,        /*** Less exact. */
    ffLoose = 3,        /*** Less exact. */
    ffLoose = 3,        /*** Less exact. */
    };

#endif /*** ALITYPE_H */
