/*** rle - byte oriented run length encoding. */
#ifndef RLE_H
#define RLE_H

/*** Compress in to out.  Out should be at least inSize * 1.5. 
 * Returns compressed size. */
int rleCompress(void *in, int inSize, signed char *out);

/*** Uncompress in to out. */
void rleUncompress(signed char *in, int inSize, void *out, int outSize);

#endif /*** RLE_H */
